Package org.codehaus.groovy.transform.tailrec

# Interface VariableReplacedListener

All Known Implementing Classes:
  `UsedVariableTracker`

public interface VariableReplacedListener

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final VariableReplacedListener`
  `NULL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `variableReplaced(VariableExpression oldVar, VariableExpression newVar)`

- ## Field Details

  - ### NULL

    static final VariableReplacedListener NULL

- ## Method Details

  - ### variableReplaced

    void variableReplaced(VariableExpression oldVar, VariableExpression newVar)